function init(hero) {
    hero.setName("The Hunter");
	hero.setVersion("Dark Crystal");
    hero.setTier(4);
	hero.hide();
    
	hero.setHelmet("item.superhero_armor.piece.mask");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addAbilities("fiskheroes:retractable_shield", "fiskheroes:leaping", "fiskheroes:cold_resistance",  "fiskheroes:heat_resistance");
    hero.addAttribute("ATTACK_DAMAGE", 0.5, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("SWORD_DAMAGE", 1.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.7, 1);
    hero.addAttribute("JUMP_HEIGHT", 3.5, 0);
	hero.addAttribute("FALL_RESISTANCE", 0.7, 1);
	hero.setDefaultScale(1.3);
	
	hero.addKeyBind("SHIELD", "Swords", 1);
	
	hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function shieldProfile(profile) {
	profile.addAttribute("ATTACK_DAMAGE", 0.9, 1);
    profile.addAttribute("PUNCH_DAMAGE", 10.5, 0);
    profile.addAttribute("SPRINT_SPEED", 0.1, 1);
    profile.addAttribute("JUMP_HEIGHT", 2.5, 0);
	profile.addAttribute("FALL_RESISTANCE", 0.7, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}
